#include "internal.h"
#include "apic.h"
#include "kbd.h"

natb __attribute__((section(".data"))) *framebuffer;

extern void ini();
bool init_all(natb *fb)
{
        init_gdt();
	load_gdt();
        init_idt(); // chiama gate_init per le prime 32 entrate
	clear_screen(0x4b);
	ini_COM1();
        apic_init();
	apic_reset();
	keyboard_init();
	delay_init();
	ini();
	sti();
	framebuffer = fb;
}
