// file svgabid.cpp
#include <libce.h>

const natl COLS = 1280;
const natl ROWS = 1024;

const int x0 = (COLS-1)/2;
const int y0 = (ROWS-1)/2;

extern natb* framebuffer;
			
void sfondo(natb c)
{	for (int i=0; i<COLS; i++)
	for (int j=0; j<ROWS; j++)
		framebuffer[j*COLS + i] = c; 	
}

void rettangolo(natb c)
{	for (int i=0; i<COLS; i++) framebuffer[i] = c;			// linea in alto
	for (int j=0; j<ROWS; j++) framebuffer[COLS*j+(COLS-1)] = c;	// linea a destra
	for (int i=0; i<COLS; i++) framebuffer[COLS*(ROWS-1)+i] = c;	// linea in basso
	for (int j=0; j<ROWS; j++) framebuffer[COLS*j] = c;		// linea a sinistra
}
void assi(natb c)
{	for (int i=0; i<COLS; i++) framebuffer[COLS*y0+i] = c;		// asse cartesiano x
	for (int j=0; j<ROWS; j++) framebuffer[COLS*j+x0] = c;		// asse cartesiano y
}

int main()
{	sfondo(0x0E);							// giallo
	rettangolo(0x04);						// rosso scuro
	assi(0x01);							// blu scuro
	char c;
	do 
		c = char_read();
	while (c != 0x1B);
	return 0;
} 
